package mg.dot.feufaro

import com.russhwolf.settings.Settings
import com.russhwolf.settings.set

actual class SaveSettings actual constructor() {
    actual val settings: Settings = Settings()

    actual fun loadLastUsedDir(): String = settings.getString("last_dir", "/")
    actual fun saveLastUsedDir(lastDir: String) { settings["last_dir"] = lastDir }

    actual fun saveWindowState(state: WindowState) {}
    actual fun loadWindowState(): WindowState {
        return WindowState(0,0,0,0)
    }
}